package eu.mhsl.minecraft.pixelblocks.listeners;

import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlock;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockBreakEvent;

public class BlockBreakListener implements Listener {
    @EventHandler
    static void onBlockBreak(BlockBreakEvent event) {
        if(CommonEventHandlers.isInPixelWorld(event.getBlock().getWorld())) {
            PixelBlock pixelBlock = PixelBlock.getPixelBlockFromWorld(event.getBlock().getLocation().getWorld());

            assert pixelBlock != null;
            pixelBlock.handleBlockBreak(event, true);
        }
    }
}
