package eu.mhsl.minecraft.pixelblocks.listeners;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.CraftItemEvent;
import org.bukkit.inventory.meta.ItemMeta;

import java.util.Objects;
import java.util.UUID;

public class CraftItemListener implements Listener {
    @EventHandler
    static void onCraftItem(CraftItemEvent event) {
        if(Objects.requireNonNull(event.getCurrentItem()).getItemMeta().getDisplayName().contains("Pixelblock")) {
            if(event.isShiftClick()) {
                event.setCancelled(true);
            } else {
                ItemMeta meta = event.getCurrentItem().getItemMeta();
                meta.setItemName("Pixelblock " + UUID.randomUUID());
                event.getCurrentItem().setItemMeta(meta);
            }
        }
    }
}
